View custom operator details

View the configuration of a custom operator. This allows you to confirm implementation, input and output definitions, and enablement status.

GET https://moi.matrixorigin.cn/newmoi/workflow/v2/custom-operators/$OPERATOR_ID

Preparation before calling

First query custom operator list to confirm the operator you want to view. Prepare the personal access token, target workspace ID, and custom operator ID that have access to the target workspace.

Request parameters

Request example

curl "https://moi.matrixorigin.cn/newmoi/workflow/v2/custom-operators/$OPERATOR_ID" \
  -H "X-API-Key: $AI_STUDIO_API_KEY" \
  -H "X-Workspace-ID: $WORKSPACE_ID"

Successful response

The response returns operator configuration. Input, output, and binding configurations are returned as serialized content and can be used to configure workflows or test inputs as defined by the fields within them.

The response fields are as follows.

codestring
OK on success.
msgstring
OK on success.
data.idinteger
Custom operator ID.
data.node_idstring
Operator ID in the workflow.
data.namestring
Operator name.
data.identifierstring
Operator ID.
data.descriptionstring
Operator description; returned if there is a value.
data.versionstring
Operator version; returned if there is a value.
data.languageinteger
Implements the numerical encoding of the language; returns if there is a value.
data.kindinteger
Numeric encoding of the operator type; returned if there is a value.
data.handlerstring
Processing function; returns if there is a value.
data.isolation_levelstring
Isolation configuration; returned if there is a value.
data.source_file_idstring
Source file ID; returned when created using a source file.
data.input_schemastring
Enter the defined serialization content.
data.output_schemastring
Output the defined serialized content.
data.binding_configstring
The serialized content of the binding configuration; returned if there is a value.
data.created_bystring
Creator ID; returned if there is a value.
data.updated_bystring
Last updater ID; returned if there is a value.
data.created_atinteger
Creation timestamp; returned if there is a value.
data.updated_atinteger
Last updated timestamp; returned if there is a value.
data.base_node_idstring
The basic operator associated with the built-in binding type; returned when there is a value.
data.base_node_versionstring
The basic operator version associated with the built-in binding type; returned when there is a value.
data.catalog_idinteger
The associated Catalog ID; returned if there is a value.
data.database_idinteger
The associated database ID; returned if there is a value.
data.enabledboolean
Whether the operator is enabled.

Successful response example

{
  "code": "OK",
  "msg": "OK",
  "data": {
    "id": 123,
    "node_id": "moi:custom.operator:workspace:text_counter",
    "name": "文本计数",
    "identifier": "text_counter",
    "description": "统计输入文本的字符数。",
    "version": "v1",
    "input_schema": "{\"type\":\"object\"}",
    "output_schema": "{\"type\":\"object\"}",
    "enabled": true
  }
}

Error response

codestring
Error code.
msgstring
Readable error message.
datanull
`null` in an error response.

Error response example

{
  "code": "ErrParamInvalid",
  "msg": "请求参数无效",
  "data": null
}

Follow-up operations

When modification is required, Update custom operator. When returning the list query custom operator list.

Last updated on